/*!
  FastPano 360 - Virtual Tour Constructor
  @name style.css
  @description the script for creating a panorama viewer and virtual tours
  @version 1.0.0
  @author Max Lawrence 
  @site http://www.avirtum.com
  @copyright (c) 2016 Max Lawrence (http://www.avirtum.com)
*/

//===========================================
// Variables
//===========================================
@font-family-base:Verdana, sans-serif;
@font-family-title:Roboto, sans-serif;
@container-width:900px;
@container-login-width:460px;

//===========================================
// Colors
//===========================================
@color-bg:#fbfbfb;
@color-text:#555;
@color-white:#fff;
@color-milk:#f1edf6;
@color-black:#000;
@color-dark:#333;
@color-blue:#03a9f4;
@color-red:#d9534f;
@color-yellow:#f2ff54;
@color-gray:#ccc;
@color-orange:#ee644a;
@color-brown:#b8915a;
@color-green:#25b89a;
@color-pink:#ff526a;
@color-navy-blue:#182848;
@color-purple:#8880bc;
@color-light-yellow:#ffffd6;
@color-light-gray:#ededed;
@color-light-blue:#88a4ff;
@color-dark-gray:#2c2d2e;
@color-dark-deep-blue:#363c42;

//===========================================
// Mixins
//===========================================
.shadow(@string) {
	-webkit-box-shadow:@string;
	box-shadow:@string;
}
.transition(@string) {
	-webkit-transition:@string;
	transition:@string;
}
.box-shadow(@string) {
	-webkit-box-shadow: @string;
	box-shadow: @string;
}
.shadow(@string) {
	-webkit-box-shadow:@string;
	box-shadow:@string;
}
.gradient(@startColor: #ebebeb, @endColor: #e2e2e2) {
	background-color:@startColor;
	background:-webkit-gradient(linear, left top, left bottom, from(@startColor), to(@endColor));
	background:-webkit-linear-gradient(top, @startColor, @endColor);
}
.transform(@string) {
	-webkit-transform: @string;
	transform: @string;
}
.transform-origin(@string) {
	-webkit-transform-origin:@string;
	transform-origin:@string;
}
.keyframes(@name; @arguments) {
	@-webkit-keyframes @name { @arguments(); }
	@keyframes @name { @arguments(); }
}
.animation(@string) {
	-webkit-animation: @string;
	animation: @string;
}
.hidden() {
	opacity:0;
	visibility:hidden;
}
.visible() {
	opacity:1;
	visibility:visible;
}
.noselect() {
	-webkit-user-select:none;
	-moz-user-select:none;
	-ms-user-select:none;
	user-select:none;
}
.clearfix {
	*zoom: 1;
	&:before,
	&:after {
		display:table;
		content:'';
		// Fixes Opera/contenteditable bug:
		// http://nicolasgallagher.com/micro-clearfix-hack/#comment-36952
		line-height:0;
	}
	&:after {
		clear:both;
	}
}
.reset-text() {
	font-family:@font-family-base;
	// We deliberately do NOT reset font-size.
	font-style:normal;
	font-weight:normal;
	letter-spacing:normal;
	line-break:auto;
	line-height:@line-height-base;
	text-align:left; // Fallback for where `start` is not supported
	text-align:start;
	text-decoration:none;
	text-shadow:none;
	text-transform:none;
	white-space:normal;
	word-break:normal;
	word-spacing:normal;
	word-wrap:normal;
}
//===========================================
// General
//===========================================
html,
body {
	position:relative;
	margin:0;
	padding:0;
	min-width:@container-width;
	height:100%;
	min-height:100%;
	font-family:@font-family-base;
	font-size:12px;
	color:@color-text;
	-webkit-font-smoothing:antialiased;
}
body.fstpn-ui-modal-open {
	overflow:hidden;
}
//===========================================
// UI
//===========================================
.fstpn-ui-admin-body .fstpn-ui-page {
	min-height:100%;
	background-color:@color-navy-blue;
	background-image:linear-gradient(140deg, #2d2b5c 10%, #7b4f98 90%);
}
//-------------------------------------------
// Login Form
//-------------------------------------------
.fstpn-ui-login-wrap {
	padding:100px;
	
	.fstpn-ui-login {
		.shadow(0 0 30px rgba(0,0,0,0.5));
		max-width:@container-login-width;
		margin:0 auto;
	}
	
	.fstpn-ui-login-header {
		position:relative;
		height:50px;
		line-height:50px;
		background-color:@color-purple;
		border:1px solid darken(@color-purple, 5%);
		padding:0 15px;
		
		.fstpn-ui-login-title {
			display:inline-block;
			position:relative;
			margin:0;
			font-family:@font-family-title;
			font-size:16px;
			font-weight:bold;
			text-transform:uppercase;
			letter-spacing:1px;
			color:@color-white;
		}
	}
	
	.fstpn-ui-login-data {
		padding:20px;
		background:@color-milk;
		border:1px solid @color-white;
	}
	
	.fstpn-ui-login-errors {
		display:block;
		margin:0 0 15px 0;
		padding:0;
		list-style:none;
		
		li {
			padding:5px 15px;
			background-color:@color-red;
			color:@color-white;
		}
	}
	
	.fstpn-ui-login-form {
		.fstpn-ui-login-label {
			display:block;
			width:100%;
			margin-bottom:5px;
		}
		
		.fstpn-ui-login-input {
			outline:0;
			width:100%;
			padding:10px 15px;
			margin-bottom:15px;
			box-sizing:border-box;
			border:1px solid @color-gray;
			border-radius:5px;
			font-size:16px;
		}
		
		.fstpn-ui-login-btn {
			.transition(background .5s linear;);
			display:block;
			outline:0;
			width:100%;
			padding:10px 15px;
			background-color:@color-blue;
			color:@color-white;
			border:1px solid darken(@color-blue,15%);
			border-radius:5px;
			font-size:16px;
			cursor:pointer;
			
			&:hover {
				background-color:darken(@color-blue,5%);
			}
		}
	}
}
//-------------------------------------------
// Loading Bar
//-------------------------------------------
.fstpn-ui-loading {
	display:none;
	position:fixed;
	top:0;
	bottom:0;
	left:0;
	right:0;
	background:transparent url('../images/linetile.png');
	z-index:99999;
	
	&.fstpn-ui-active {
		display:block;
	}
	
	.fstpn-ui-loading-progress {
		position:absolute;
		top:0;
		left:0;
		right:0;
		height:3px;
		overflow: hidden;
		
		div {
			position:absolute;
			top:0;
			left:0;
			height:100%;
			width:100%;
		}
		
		div {
			.animation(fstpn-ui-loading-progress 2s infinite backwards ease-out;);
			.transform(scaleX(1));
		}
		
		div:nth-child(1) {
			animation-delay: -1.5s;
		}
		div:nth-child(2) {
			animation-delay: -1s;
		}
		div:nth-child(3) {
			animation-delay: -.5s;
		}
		div:nth-child(4) {
			animation-delay: 0s;
		}
		
		.fstpn-ui-loading-color-01 {
			background-color: @color-pink;
		}
		.fstpn-ui-loading-color-02 {
			background-color: darken(@color-pink,15%);
		}
		.fstpn-ui-loading-color-03 {
			background-color: lighten(@color-pink,15%);
		}
		.fstpn-ui-loading-color-04 {
			background-color: darken(@color-pink,15%);
		}
	}
}
//-------------------------------------------
// Topbar
//-------------------------------------------
.fstpn-ui-topbar {
	background-color:darken(@color-navy-blue,5%);
	
	.fstpn-ui-topbar-inner {
		.clearfix();
		position:relative;
		margin:0 auto;
		width:@container-width;
	}
	
	.fstpn-ui-title {
		display:inline-block;
		width:400px;
		height:36px;
		color:@color-white;
		background:transparent url('../images/logo.png') no-repeat;
		text-indent:-9999px;
	}
	
	.fstpn-ui-toolbar {
		display:inline-block;
		padding:10px 5px;
		float:right;
		
		&, a {
			color:darken(@color-white,10%);
		}
		
		a:hover {
			color:@color-white;
		}
	}
	
	.fstpn-ui-username {
		text-transform:capitalize;
	}
}
//-------------------------------------------
// Data
//-------------------------------------------
.fstpn-ui-data {
	position:relative;
	min-height:100%;

	.fstpn-ui-data-inner {
		.shadow(0 0 10px rgba(0,0,0,0.5));
		position:relative;
		margin:0 auto;
		width:@container-width;
	}
}
//-------------------------------------------
// Block
//-------------------------------------------
.fstpn-ui-block {
	margin-top:15px;
	background:@color-milk;
	
	a {
		color:@color-blue;
		text-decoration:none;
		
		&:hover {
			color:@color-orange;
		}
	}
	
	.fstpn-ui-block-header {
		position:relative;
		background-color:@color-purple;
		border:1px solid darken(@color-purple, 15%);
		padding:15px;
		
		.fstpn-ui-block-menu {
			.clearfix();
		}
		
		.fstpn-ui-block-menu-item {
			display:inline-block;
			position:relative;
			margin:0;
			padding:5px 15px;
			font-family:@font-family-title;
			font-size:14px;
			font-weight:bold;
			text-transform:uppercase;
			letter-spacing:1px;
			color:@color-white;
			border:1px solid transparent;
			border-radius:15px;
			cursor:pointer;
			
			&:hover {
				background-color:darken(@color-purple, 20%);
				border-color:darken(@color-purple, 30%);
			}
			
			&.fstpn-ui-active {
				background-color:darken(@color-purple, 20%);
				border-color:darken(@color-purple, 30%);
			}
			
			&.fstpn-ui-right {
				float:right;
			}
		}
	}
	
	.fstpn-ui-block-content {
		position:relative;
		box-sizing:border-box;
		padding:20px;
		border:1px solid @color-white;
	}
	
	//-------------------------------------------
	// Toolbar
	//-------------------------------------------
	.fstpn-ui-toolbar {
		position:relative;
		
		.fstpn-ui-toolbar-inner {
			display:table;
			width:100%;
		}
		
		.fstpn-ui-toolbar-left {
			position:relative;
			display:table-cell;
			text-align:left;
			vertical-align:top;
		}
		
		.fstpn-ui-toolbar-right {
			position:relative;
			display:table-cell;
			text-align:right;
			vertical-align:top;
			width:1%;
			white-space:nowrap;
		}
		
		.fstpn-ui-text {
			width:99%;
			padding:7px 15px;
			border:1px solid @color-gray;
			border-radius:3px;
			box-sizing:border-box;
		}
		
		.fstpn-ui-btn {
			.transition(all .2s linear;);
			display:inline-block;
			position:relative;
			min-width:100px;
			padding:7px 15px;
			border:1px solid transparent;
			border-radius:15px;
			text-align:center;
			color:@color-white;
			cursor:pointer;
			
			i {
				margin-right:3px;
			}
			
			&.fstpn-ui-hidden {
				display:none;
			}
			
			&.fstpn-ui-btn-create-virtualtour,
			&.fstpn-ui-btn-save-virtualtour,
			&.fstpn-ui-btn-create-folder,
			&.fstpn-ui-btn-upload-file {
				background-color:@color-blue;
				border-color:darken(@color-blue,15%);
				
				&:hover {
					background-color:darken(@color-blue,5%);
				}
			}
			
			
			&.fstpn-ui-btn-copy,
			&.fstpn-ui-btn-cut {
				min-width:50px;
				background-color:@color-dark-gray;
				border-color:darken(@color-dark-gray,15%);
				
				&:hover {
					background-color:darken(@color-dark-gray,5%);
				}
			}
			
			&.fstpn-ui-btn-paste {
				min-width:50px;
				background-color:@color-brown;
				border-color:darken(@color-brown,15%);
				
				&:hover {
					background-color:darken(@color-brown,5%);
				}
			}
			
			&.fstpn-ui-btn-delete {
				min-width:50px;
				background-color:@color-red;
				border-color:darken(@color-red,15%);
				
				&:hover {
					background-color:darken(@color-red,5%);
				}
			}
			
			.fstpn-ui-btn-info,
			.fstpn-ui-btn-info-bottom {
				position:absolute;
				border:1px solid transparent;
				border-radius:10px;
				color:@color-white;
			}
			
			.fstpn-ui-btn-info {
				top:-9px;
				right:3px;
				padding:2px 5px;
				background-color:@color-dark-gray;
				border-color:@color-white;
				font-size:10px;
				line-height:10px;
			}
			
			.fstpn-ui-btn-info-bottom {
				bottom:-6px;
				left:3px;
				padding:0 5px;
				background-color:@color-brown;
				border-color:darken(@color-brown,15%);
				font-size:8px;
				text-transform:uppercase;
			}
			
			.fstpn-ui-btn-flag {
				position:absolute;
				top:3px;
				right:10px;
				width:5px;
				height:5px;
				background-color:@color-brown;
				border-radius:50%;
			}
		}
	}
	
	//-------------------------------------------
	// FileManager
	//-------------------------------------------
	.fstpn-ui-filemanager {
		.fstpn-ui-breadcrumb {
			margin-bottom:15px;
			
			ul {
				padding:10px 15px;
				margin:0;
				list-style:none;
				background-color:darken(@color-white,15%);
				color:@color-text;
				
				a {
					background-color:@color-text;
					color:@color-white;
					padding:2px 10px;
					border-radius:20px;
					
					&:hover {
						background-color:@color-orange;
					}
				}
				
				li {
					display:inline-block;
					text-transform:lowercase;
					
					&:first-child {
						text-transform:capitalize;
					}
				}
			}
			
			.fstpn-ui-breadcrumb-divider {
				margin:0 5px;
			}
		}
	
		.fstpn-ui-files {
			margin-top:15px;
		}
	}
	//-------------------------------------------
	// VirtualTourManager
	//-------------------------------------------
	.fstpn-ui-virtualtourmanager {
		.fstpn-ui-virtualtours {
			margin-top:15px;
		}
	}
	//-------------------------------------------
	// Checkbox
	//-------------------------------------------
	.fstpn-ui-checkbox {
		.noselect();
		display:inline-block;
		position:relative;
		height:18px;
		width:18px;
		line-height:16px;
		background-color:@color-white;
		background:linear-gradient(to bottom, @color-white, darken(@color-white,15%));
		border:1px solid darken(@color-gray,15%);
		text-align:center;
		box-sizing:border-box;
		cursor:pointer;
		
		&.fstpn-ui-checked {
			border:1px solid darken(@color-blue,15%);
			
			&:before {
				content:'\f00c';
				position:absolute;
				display:block;
				width:100%;
				height:100%;
				font-family:FontAwesome;
				font-size:10px;
				background-color:@color-blue;
				color:@color-white;
				box-sizing:border-box;
			}
		}
	}
	//-------------------------------------------
	// Icons
	//-------------------------------------------
	.fstpn-ui-icon {
		display:inline-block;
		margin:0;
		width:24px;
		height:24px;
		
		&.fstpn-ui-icon-folder {
			background:transparent url('../images/folder.png') no-repeat;
		}
		
		&.fstpn-ui-icon-file {
			background:transparent url('../images/file.png') no-repeat;
		}
	}
	//-------------------------------------------
	// Actions
	//-------------------------------------------
	.fstpn-ui-action {
		a {
			display:inline-block !important;
			background-color:@color-text;
			color:@color-white;
			padding:2px 10px;
			border-radius:20px;
			
			&:hover {
				background-color:@color-orange;
			}
		}
	}
	//-------------------------------------------
	// Table
	//-------------------------------------------
	.fstpn-ui-table {
		.fstpn-ui-order-asc {
			&:after {
				content:'\f062';
				font-family:FontAwesome;
				padding-left:5px;
			}
		}
		
		.fstpn-ui-order-desc {
			&:after {
				content:'\f063';
				font-family:FontAwesome;
				padding-left:5px;
			}
		}
		
		& tr {
			th, td {
				border-bottom:1px solid @color-gray;
				padding:12px 15px;
				line-height:normal;
				text-align:left;
				
				&.fstpn-ui-col-icon {
					padding-left:0;
					padding-right:0;
					text-align:center;
				}
				
				&.fstpn-ui-col-title {
					position:relative;
					
					
					a {
						top:2px;
						display:inline-block;
						max-width:400px;
						white-space:nowrap;
						overflow:hidden;
						text-overflow:ellipsis;
					}
					input {
						display:none;
						padding:5px 15px;
						width:100%;
						box-sizing:border-box;
					}
					
					&:hover {
						input {
							padding:5px 50px 5px 15px;
						}
					}
				}
				
				&.fstpn-ui-col-edit {
					padding:8px 15px;
					
					a {
						display:none;
					}
					input {
						display:inline-block;
					}
				}
				
			}
			
			&:nth-child(odd) td {
				//background-color:@color-white;
			}
			
			td {
				cursor:pointer;
				
				a {
					position:relative;
					display:block;
				}
			}
			
			.fstpn-ui-text-center {
				text-align:center;
			}
			
			&.fstpn-ui-active, &:hover {
				td {
					background:@color-white;
				}
				
				.fstpn-ui-row-toolbar {
					display:block;
				}
			}
			
			.fstpn-ui-row-toolbar {
				display:none;
				position:absolute;
				right:20px;
				top:50%;
				margin-top:-9px;
				font-size:14px;
				
				.fstpn-ui-row-btn {
					&:hover {
						color:@color-blue;
					}
				}
			}
		}
	}
	//-------------------------------------------
	// Pagination
	//-------------------------------------------
	.fstpn-ui-pagination {
		.clearfix();
		display:none;
		padding:0;
		margin:20px 0 0 0;
		
		&.fstpn-ui-active {
			display:block;
		}
		
		li {
			display:inline;
			
			span {
				position:relative;
				float:left;
				padding:5px 10px;
				color:@color-blue;
				border:1px solid darken(@color-gray, 15%);
				margin-left:-1px;
				cursor:pointer;
				
				&:hover,
				&.fstpn-ui-active {
					color:@color-white;
					background-color:@color-blue;
					border: 1px solid darken(@color-blue,15%);
					z-index:1;
				}
				
				&.fstpn-ui-active {
					z-index:2;
				}
				
				&.fstpn-ui-disabled {
					&, &:hover {
						color:@color-gray;
						background-color:transparent;
						border:1px solid darken(@color-gray, 15%);
						cursor:default;
					}
				}
			}
		}
	}
}
//-------------------------------------------
// Modal Dialogs
//-------------------------------------------
.fstpn-ui-modals {
	.fstpn-ui-modal {
		position:fixed;
		top:0;
		left:0;
		right:0;
		bottom:0;
		overflow-x:hidden;
		overflow-y:scroll;
		z-index:9999;
		background:fade(@color-black,75%);
		
		&.fstpn-ui-modal-hidden {
			.fstpn-ui-modal-dialog {
				.transform(scaleX(0));
				opacity:0;
				
			}
		}
		
		.fstpn-ui-modal-dialog {
			.transition(all .3s linear;);
			.transform(scaleX(1));
			@shadow:0 3px 9px fade(@color-black,50%);
			.shadow(@shadow);
			position:relative;
			width:98%;
			max-width:600px;
			margin:30px auto;
			background-color:@color-milk;
			opacity:1;
		}
		
		.fstpn-ui-modal-header {
			position:relative;
			background:linear-gradient(to right bottom, @color-blue, @color-blue);
			color:@color-white;
			padding:15px;
			
		}
		
		.fstpn-ui-modal-close {
			position:absolute;
			right:10px;
			top:9px;
			background-color:transparent;
			font-size:24px;
			line-height:1;
			color:fade(@color-white,90%);
			cursor:pointer;
			
			&:hover {
				color:@color-white;
			}
		}
		
		.fstpn-ui-modal-title {
			font-size:14px;
			font-weight:bold;
		}
		
		.fstpn-ui-modal-data {
			padding:20px 15px;
		}
		
		.fstpn-ui-modal-group {
			margin-top:15px;
			text-align:center;
			
			&:first-child {
				margin:0;
			}
		}
		
		.fstpn-ui-modal-label {
			font-weight:bold;
			margin-bottom:5px;
		}
		
		.fstpn-ui-modal-btn {
			.transition(all .2s linear;);
			display:inline-block;
			position:relative;
			min-width:100px;
			padding:7px 15px;
			margin:5px;
			border:1px solid transparent;
			border-radius:3px;
			text-decoration:none;
			text-align:center;
			cursor:pointer;
			background-color:@color-blue;
			border-color:darken(@color-blue,15%);
			color:@color-white;
			
			&[disabled] {
				cursor:not-allowed;
				opacity:0.6;
			}
			
			&:hover {
				background-color:darken(@color-blue,5%);
			}
			
			&.fstpn-ui-modal-btn-select,
			&.fstpn-ui-modal-btn-delete {
				background-color:@color-blue;
				border-color:darken(@color-blue,15%);
				
				&:hover {
					background-color:darken(@color-blue,5%);
				}
			}
			
			&.fstpn-ui-modal-btn-close {
				background-color:@color-dark;
				border-color:darken(@color-dark,15%);
				
				&:hover {
					background-color:darken(@color-dark,5%);
				}
			}
			
			&.fstpn-ui-modal-btn-full-width {
				display:block;
				margin:5px 0;
			}
		}
		
		.fstpn-ui-modal-file-list {
			margin-top:15px;
			
			.fstpn-ui-modal-file {
				position:relative;
				padding:5px 15px;
				margin-top:-1px;
				border:1px solid darken(@color-gray,15%);
				
				&.fstpn-ui-modal-file-success {
					background-color:fade(@color-green,30%);
				}
				
				&.fstpn-ui-modal-file-error {
					background-color:fade(@color-red,30%);
				}
			}
			.fstpn-ui-modal-file-name {
				width:100%;
				font-size:14px;
				text-overflow:ellipsis;
				overflow:hidden;
				white-space:nowrap;
			}
			.fstpn-ui-modal-file-size {
				font-size:10px;
				font-weight:bold;
			}
			.fstpn-ui-modal-file-close {
				position:absolute;
				top:2px;
				right:2px;
				width:16px;
				height:16px;
				line-height:16px;
				border:1px solid transparent;
				text-align:center;
				cursor:pointer;
				
				&:hover {
					background-color:@color-red;
					color:@color-white;
					border-color:darken(@color-red,15%);
				}
			}
			.fstpn-ui-modal-file-progress-wrap {
				margin-top:5px;
			}
			.fstpn-ui-modal-file-progress {
				position:relative;
				height:15px;
				margin-top:5px;
				border:1px solid darken(@color-gray,15%);
			}
			.fstpn-ui-modal-file-progress-bar {
				position:absolute;
				top:-1px;
				left:-1px;
				width:0%;
				height:100%;
				font-size:11px;
				color:@color-white;
				background:@color-green;
				border:1px solid darken(@color-green,15%);
			}
		}
		
		.fstpn-ui-modal-text {
			padding:7px 15px;
			border:1px solid @color-gray;
			border-radius:3px;
			box-sizing:border-box;
		}
		
		.fstpn-ui-modal-vt-toolbar {
			.clearfix();
			margin-bottom:15px;
			
			.fstpn-ui-modal-vt-btn-create,
			.fstpn-ui-modal-vt-btn-delete {
				.transition(all .2s linear;);
				display:inline-block;
				position:relative;
				min-width:100px;
				padding:7px 15px;
				border:1px solid transparent;
				border-radius:15px;
				text-align:center;
				color:@color-white;
				cursor:pointer;
				
				&.fstpn-ui-modal-ui-hidden {
					display:none;
				}
			}
			
			.fstpn-ui-modal-vt-btn-create {
				background-color:@color-blue;
				border-color:darken(@color-blue,15%);
				
				&:hover {
					background-color:darken(@color-blue,5%);
				}
			}
			
			.fstpn-ui-modal-vt-btn-delete {
				float:right;
				background-color:@color-red;
				border-color:darken(@color-red,15%);
				
				&:hover {
					background-color:darken(@color-red,5%);
				}
			}
		}
		
		.fstpn-ui-modal-vt-title {
			display:block;
			padding:0 15px;
			line-height:26px;
			margin-bottom:15px;
			width:100%;
			box-sizing:border-box;
		}
		
		.fstpn-ui-modal-long {
			width:100%;
		}
		
		.fstpn-ui-modal-footer {
			position:relative;
			padding:15px;
			background-color:@color-milk;
			//border-top:1px solid @color-gray;
			text-align:right;
			
			.fstpn-ui-modal-btn {
				margin:0;
			}
			
			.fstpn-ui-modal-text {
				float:left;
			}
		}
	}
}
.fstpn-ui-modal-vt {
	.transition(all .1s linear;);
	position:relative;
	padding:10px;
	margin-bottom:15px;
	border:2px dashed @color-gray;
	text-align:center;
	cursor:move;
	
	.fstpn-ui-modal-vt-scene-title,
	.fstpn-ui-modal-vt-scene-yaw,
	.fstpn-ui-modal-vt-scene-pitch,
	.fstpn-ui-modal-vt-scene-zoom {
		display:block;
		margin:0 auto;
		margin-top:5px;
		padding:0 15px;
		line-height:26px;
		width:404px;
		box-sizing:border-box;
	}
	
	.fstpn-ui-modal-vt-scene-yaw,
	.fstpn-ui-modal-vt-scene-pitch {
		display:inline-block;
		width:200px;
	}
	
	
	.fstpn-ui-checkbox {
		.noselect();
		position:absolute;
		top:5px;
		left:10px;
		height:18px;
		width:18px;
		line-height:16px;
		margin-top:6px;
		margin-right:10px;
		background-color:@color-white;
		background:linear-gradient(to bottom, @color-white, darken(@color-white,15%));
		border:1px solid darken(@color-gray,15%);
		text-align:center;
		box-sizing:border-box;
		cursor:pointer;
		
		&.fstpn-ui-checked {
			border:1px solid darken(@color-blue,15%);
			
			&:before {
				content:'\f00c';
				position:absolute;
				display:block;
				width:100%;
				height:100%;
				font-family:FontAwesome;
				font-size:10px;
				background-color:@color-blue;
				color:@color-white;
				box-sizing:border-box;
			}
		}
	}
	
	.fstpn-ui-modal-vt-image {
		.noselect();
		display:inline-block;
		position:relative;
		margin:0 auto;
		width:200px;
		height:120px;
		background-color:@color-white;
		border:1px solid darken(@color-gray,15%);
		text-align:center;
		box-sizing:border-box;
		cursor:pointer;
		
		&:hover {
			background-color:@color-blue;
			border-color:darken(@color-blue,15%);
			
			&:before {
				border-color:darken(@color-blue,15%);
				border-bottom-color:darken(@color-gray,15%);
			}
			
			.fstpn-ui-modal-vt-image-preview {
				border-color:darken(@color-blue,15%);
				border-bottom-color:darken(@color-gray,15%);
			}
			
			.fstpn-ui-modal-vt-image-clear,
			.fstpn-ui-modal-vt-image-edit {
				display:block;
			}
			
			.fstpn-ui-modal-vt-image-label {
				border-color:darken(@color-blue,15%);
			}
		}
		
		.fstpn-ui-modal-vt-image-preview {
			position:absolute;
			top:3px;
			left:3px;
			width:192px;
			height:92px;
			background-color:@color-gray;
			background-size:cover;
			background-position:center center;
			border:1px solid darken(@color-gray,15%);
			box-sizing:border-box;
		}
		
		.fstpn-ui-modal-vt-image-clear,
		.fstpn-ui-modal-vt-image-edit {
			display:none;
			position:absolute;
			top:0;
			right:0;
			width:16px;
			height:16px;
			background-color:@color-white;
			
			&:hover {
				color:@color-white;
				background-color:@color-blue;
			}
			
			&:before {
				content:'\f00d';
				line-height:16px;
				font-family:FontAwesome;
				font-size:12px;
				text-align:center;
			}
		}
		
		.fstpn-ui-modal-vt-image-edit {
			left:0;
			
			&:before {
				content:'\f0c1';
			}
		}
		
		.fstpn-ui-modal-vt-image-title {
			position:absolute;
			bottom:3px;
			left:3px;
			right:3px;
			height:20px;
			line-height:20px;
			background:@color-white;
			font-size:10px;
			font-weight:bold;
			text-transform:uppercase;
		}
	}
}
//-------------------------------------------
// Animation
//-------------------------------------------
.keyframes(fstpn-ui-loading-progress; {
	0%   { .transform(scaleX(0)); z-index: 15; }
	22%  { .transform(scaleX(0)); z-index: 15; }
	50%  { .transform(scaleX(1)); }
	90%  { .transform(scaleX(1)); z-index: 1; }
	100% { .transform(scaleX(1)); z-index: 0; }
});
//-------------------------------------------
// Responsive
//-------------------------------------------
// Non-Mobile Method
// Large Devices, Wide Screens
@media only screen and (max-width : 1199px) {
}
// Medium Devices, Desktops
@media only screen and (max-width : 991px) {
}
// Small Devices, Tablets
@media only screen and (max-width : 767px) {
}
// Extra Small Devices, Phones
@media only screen and (max-width : 479px) {
}
// Custom, iPhone Retina
@media only screen and (max-width : 319px) {
}